Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.query.impl
Class MultiQueryResults

    java.lang.Object
      org.mindswap.pellet.query.impl.QueryResultsImpl
          org.mindswap.pellet.query.impl.MultiQueryResults

All Implemented Interfaces:
  QueryResults

    public class MultiQueryResults

extends QueryResultsImpl
implements QueryResults

Author:
  Evren Sirin

Constructor Summary
`MultiQueryResults(Query query, QueryResults[] queryResults)`

Method Summary
`void` | `add(QueryResultBinding binding)`
`boolean` | `contains(QueryResultBinding binding)`
`QueryResultBinding` | `get(int index)`
`boolean` | `isEmpty()`
`int` | `size()`

Methods inherited from class org.mindswap.pellet.query.impl.QueryResultsImpl
`getQuery, getResultVars, toString, toTable, toTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.query.QueryResults
`getQuery, getResultVars, toTable, toTable`

Constructor Detail

### MultiQueryResults

    public MultiQueryResults(Query query,
                             QueryResults[] queryResults)

Method Detail

### add

    public void add(QueryResultBinding binding)

  Specified by:
    `add` in interface `QueryResults`
  Overrides:
    `add` in class `QueryResultsImpl`

### contains

    public boolean contains(QueryResultBinding binding)

  Specified by:
    `contains` in interface `QueryResults`
  Overrides:
    `contains` in class `QueryResultsImpl`

### get

    public QueryResultBinding get(int index)

  Specified by:
    `get` in interface `QueryResults`
  Overrides:
    `get` in class `QueryResultsImpl`

### size

    public int size()

  Specified by:
    `size` in interface `QueryResults`
  Overrides:
    `size` in class `QueryResultsImpl`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `QueryResults`
  Overrides:
    `isEmpty` in class `QueryResultsImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.